## org.omg.Messaging
Class RelativeRoundtripTimeoutPolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RelativeRoundtripTimeoutPolicyHelper

public class RelativeRoundtripTimeoutPolicyHelper
extends java.lang.Object

Helper class for : RelativeRoundtripTimeoutPolicy

Author:
  OpenORB Compiler

Constructor Summary
`RelativeRoundtripTimeoutPolicyHelper()`

Method Summary
`static RelativeRoundtripTimeoutPolicy` `extract(Any a)` Extract RelativeRoundtripTimeoutPolicy from an any
`static java.lang.String` `id()` Return the RelativeRoundtripTimeoutPolicy IDL ID
`static void` `insert(Any a, RelativeRoundtripTimeoutPolicy t)` Insert RelativeRoundtripTimeoutPolicy into an any
`static RelativeRoundtripTimeoutPolicy` `narrow(Object obj)` Narrow CORBA::Object to RelativeRoundtripTimeoutPolicy
`static RelativeRoundtripTimeoutPolicy` `read(InputStream istream)` Read RelativeRoundtripTimeoutPolicy from a marshalled stream
`static TypeCode` `type()` Return the RelativeRoundtripTimeoutPolicy TypeCode
`static RelativeRoundtripTimeoutPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RelativeRoundtripTimeoutPolicy
`static void` `write(OutputStream ostream, RelativeRoundtripTimeoutPolicy value)` Write RelativeRoundtripTimeoutPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeRoundtripTimeoutPolicyHelper

    public RelativeRoundtripTimeoutPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RelativeRoundtripTimeoutPolicy t)

  Insert RelativeRoundtripTimeoutPolicy into an any
  Parameters:
    `a` - an any
    `t` - RelativeRoundtripTimeoutPolicy value

### extract

    public static RelativeRoundtripTimeoutPolicy extract(Any a)

  Extract RelativeRoundtripTimeoutPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RelativeRoundtripTimeoutPolicy value

### type

    public static TypeCode type()

  Return the RelativeRoundtripTimeoutPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RelativeRoundtripTimeoutPolicy IDL ID
  Returns:
    an ID

### read

    public static RelativeRoundtripTimeoutPolicy read(InputStream istream)

  Read RelativeRoundtripTimeoutPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RelativeRoundtripTimeoutPolicy value

### write

    public static void write(OutputStream ostream,
                             RelativeRoundtripTimeoutPolicy value)

  Write RelativeRoundtripTimeoutPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RelativeRoundtripTimeoutPolicy value

### narrow

    public static RelativeRoundtripTimeoutPolicy narrow(Object obj)

  Narrow CORBA::Object to RelativeRoundtripTimeoutPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RelativeRoundtripTimeoutPolicy Object

### unchecked_narrow

    public static RelativeRoundtripTimeoutPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RelativeRoundtripTimeoutPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RelativeRoundtripTimeoutPolicy Object